Subject: Re: bug#75893: texlive: kpathsea doesn't use ls-R database

From: Nicolas Goaziou <[email-masked]>
Date: Mon, 10 Feb 2025 22:20:51 +0100

Nicolas Goaziou via Bug reports for GNU Guix <[email-masked]> writes:

> I pushed a tentative patch in "tex-team" branch. I’m in the process of
> testing it but it could take a while as texlive-collection-latexextra
> contains more than 1k packages.

It seems to be better. The "extreme" example in your original post takes
around 6.5 seconds on my machine (that’s still 2.5 times more than your
results but my laptop is old) on the second run. The first run takes
slightly longer because it needs to populate font cache.

I’m going to ask for an inclusion on master branch, but it will not
happen quickly considering the pending queue for merge requests.